clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::IncludeFixer::UnresolvedNameRecorder Class Reference
Inheritance diagram for clang::clangd::IncludeFixer::UnresolvedNameRecorder:
[legend]
Collaboration diagram for clang::clangd::IncludeFixer::UnresolvedNameRecorder:
[legend]

## Public Member Functions
| UnresolvedNameRecorder (llvm::Optional< UnresolvedName > &LastUnresolvedName)
void | InitializeSema (Sema &S) override
TypoCorrection | CorrectTypo (const DeclarationNameInfo &Typo, int LookupKind, Scope *S, CXXScopeSpec *SS, CorrectionCandidateCallback &CCC, DeclContext *MemberContext, bool EnteringContext, const ObjCObjectPointerType *OPT) override

## Detailed Description

Definition at line 322 of file clangd/IncludeFixer.cpp.

## Constructor & Destructor Documentation

## ◆ UnresolvedNameRecorder()

clang::clangd::IncludeFixer::UnresolvedNameRecorder::UnresolvedNameRecorder | ( | llvm::Optional< UnresolvedName > & | LastUnresolvedName | ) |
| inline

Definition at line 324 of file clangd/IncludeFixer.cpp.

## Member Function Documentation

## ◆ CorrectTypo()

TypoCorrection clang::clangd::IncludeFixer::UnresolvedNameRecorder::CorrectTypo | ( | const DeclarationNameInfo & | Typo,
|  | int | LookupKind,
|  | Scope * | S,
|  | CXXScopeSpec * | SS,
|  | CorrectionCandidateCallback & | CCC,
|  | DeclContext * | MemberContext,
|  | bool | EnteringContext,
|  | const ObjCObjectPointerType * | OPT
| ) |  |
| inline override

Definition at line 331 of file clangd/IncludeFixer.cpp.

References clang::clangd::collectAccessibleScopes(), clang::clangd::extractUnresolvedNameCheaply(), and clang::clangd::isInsideMainFile().

## ◆ InitializeSema()

void clang::clangd::IncludeFixer::UnresolvedNameRecorder::InitializeSema | ( | Sema & | S | ) |
| inline override

Definition at line 327 of file clangd/IncludeFixer.cpp.

The documentation for this class was generated from the following file:

- clangd/IncludeFixer.cpp